[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Recompile needed for 2.2r4



Preparation of Debian GNU/Linux 2.2r4
=====================================

Up-to-date version on http://master.debian.org/~joey/2.2r4/

Recompiles required
-------------------

These packages need further investigation.  One reason the package is
listed here could be that I'm not yet convinced this package should go
into stable, but don't want to reject it entirely at the moment.
Another reason could be that released and updated architectures are
not in sync yet.

cfs         stable    1.3.3-7     powerpc, sparc
cfs         stable    1.3.3-8     alpha, i386, m68k
cfs         updates   1.3.3-8     arm

	Get architectures in sync

	PowerPC and sparc missing

	This is non-US.

icecast-client  stable    1.0.0-1     alpha, arm, i386, m68k, powerpc, sparc
icecast-server  stable    1.0.0-1     alpha, arm, i386, m68k, powerpc, sparc
icecast-server  updates   1.3.10-1    i386, m68k, powerpc

	Alleged security update.

	Changelog says:

	* Several security exploits found to icecast.  No simple way to patch

	* old version, so upgrade to latest stable version from icecast.org

	* If questions or assistance needed join #icecast on openprojects.net IRC

	Do you have a documentation about said security exploits?
	That's still pending

	Is it something different than this one?

	"icecast" is a server used to distribute audio streams to compatible
	clients such as winamp, mpg123, xmms and many others.
	Matt Messier (mmessier@prilnari.com) and John Viega (viega@list.org)
	have identified several buffer overflow and format strings problems
	in Icecast that could be remotely exploited.
	Our latest update to this software changes the package to use an
	unprivileged user ("icecast") for the daemon, so the impact of this
	vulnerability is not as high. Recent distributions (CL >= 5.1) have
	this package compiled with StackGuard to make it more difficult to
	exploit buffer overflows.

	It's said to be.

	Clarification appreciated.

inn2-dev          updates   2.2.2.2000.01.31-4.1  arm
inn2-dev          updates   2.2.2.2000.01.31-5    alpha, i386, m68k, sparc
inn2-inews        updates   2.2.2.2000.01.31-4.1  arm
inn2-inews        updates   2.2.2.2000.01.31-5    alpha, i386, m68k, sparc
inn2              updates   2.2.2.2000.01.31-4.1  arm
inn2              updates   2.2.2.2000.01.31-5    alpha, i386, m68k, sparc
task-news-server  updates   2.2.2.2000.01.31-5    all

	Security Update, DSA 023

	Bdale reports a serious problem with this upload, it broke
	some functionality.  He's going to upload a fixed version, so
	this will have to wait for 2.2r4 then.  Fixed for 2.2.2.2000.01.31-5.

	arm and powerpc missing

nedit       updates   1:5.1.1-3   alpha, arm, i386, m68k, powerpc

	nedit is now Free Software.

	sparc missing

php4-cgi-gd     updates   4.0.3pl1-0potato1.1  alpha, sparc
php4-cgi-gd     updates   4.0.3pl1-0potato2    i386, m68k, powerpc
php4-cgi-imap   updates   4.0.3pl1-0potato1.1  alpha, sparc
php4-cgi-imap   updates   4.0.3pl1-0potato2    i386, m68k, powerpc
php4-cgi-ldap   updates   4.0.3pl1-0potato1.1  alpha, sparc
php4-cgi-ldap   updates   4.0.3pl1-0potato2    i386, m68k, powerpc
php4-cgi-mhash  updates   4.0.3pl1-0potato1.1  alpha, sparc
php4-cgi-mhash  updates   4.0.3pl1-0potato2    i386, m68k, powerpc
php4-cgi-mysql  updates   4.0.3pl1-0potato1.1  alpha, sparc
php4-cgi-mysql  updates   4.0.3pl1-0potato2    i386, m68k, powerpc
php4-cgi-pgsql  updates   4.0.3pl1-0potato1.1  alpha, sparc
php4-cgi-pgsql  updates   4.0.3pl1-0potato2    i386, m68k, powerpc
php4-cgi-snmp   updates   4.0.3pl1-0potato1.1  alpha, sparc
php4-cgi-snmp   updates   4.0.3pl1-0potato2    i386, m68k, powerpc
php4-cgi-xml    updates   4.0.3pl1-0potato1.1  alpha, sparc
php4-cgi-xml    updates   4.0.3pl1-0potato2    i386, m68k, powerpc
php4-cgi        updates   4.0.3pl1-0potato1.1  alpha, sparc
php4-cgi        updates   4.0.3pl1-0potato2    i386, m68k, powerpc
php4-dev        updates   4.0.3pl1-0potato2    all
php4-gd         updates   4.0.3pl1-0potato1.1  alpha, sparc
php4-gd         updates   4.0.3pl1-0potato2    i386, m68k, powerpc
php4-imap       updates   4.0.3pl1-0potato1.1  alpha, sparc
php4-imap       updates   4.0.3pl1-0potato2    i386, m68k, powerpc
php4-ldap       updates   4.0.3pl1-0potato1.1  alpha, sparc
php4-ldap       updates   4.0.3pl1-0potato2    i386, m68k, powerpc
php4-mhash      updates   4.0.3pl1-0potato1.1  alpha, sparc
php4-mhash      updates   4.0.3pl1-0potato2    i386, m68k, powerpc
php4-mysql      updates   4.0.3pl1-0potato1.1  alpha, sparc
php4-mysql      updates   4.0.3pl1-0potato2    i386, m68k, powerpc
php4-pgsql      updates   4.0.3pl1-0potato1.1  alpha, sparc
php4-pgsql      updates   4.0.3pl1-0potato2    i386, m68k, powerpc
php4-snmp       updates   4.0.3pl1-0potato1.1  alpha, sparc
php4-snmp       updates   4.0.3pl1-0potato2    i386, m68k, powerpc
php4-xml        updates   4.0.3pl1-0potato1.1  alpha, sparc
php4-xml        updates   4.0.3pl1-0potato2    i386, m68k, powerpc
php4            updates   4.0.3pl1-0potato1.1  alpha, sparc
php4            updates   4.0.3pl1-0potato2    i386, m68k, powerpc

	Security Update

	Roland Bauerschmidt reports "php4-cgi broken".  Look at
	#89431. /usr/lib/cgi-bin/php4 is a symlink to
	debian/php4-cgi/usr/bin/php4 which of course doesn't exist.

	Rebuild for 4.0.3pl1-0potato2 issued.  Missing: alpha, sparc

	Updated packages should be uploaded soon.

tkseti      stable    2.10-1      arm
tkseti      stable    2.12-1      powerpc
tkseti      stable    2.12-2      alpha, i386, sparc
tkseti      updates   2.12-2      arm

	Get versions back in sync.

	PowerPC missing

unzip-crypt  stable    5.32-1      m68k
unzip-crypt  stable    5.40-1.0    alpha, i386, powerpc, sparc
unzip-crypt  updates   5.40-1.0    arm

	Get architectures in sync.

	m68k missing

	This is non-US.

xcal        stable    4.1-8       alpha, arm, i386, m68k, powerpc, sparc
xcal        updates   4.1-9       alpha, arm, i386, powerpc, sparc

	aj: a calendar program getting days of a month wrong seems a
	decent thing to fix.

	m68k missing

xxgdb       stable    1.12-9.3        alpha, arm, i386, m68k, powerpc, sparc
xxgdb       testing   1.12-10         alpha, arm, i386, m68k, powerpc, sparc
xxgdb       unstable  1.12-10         alpha, arm, hppa, i386, ia64, m68k, powerpc, sparc
xxgdb       updates   1.12-9.4potato  i386, m68k, powerpc

	* Applied a patch from Massimo Dal Zotto <dz@cs.unitn.it>. This is a
	  workaround for a serious bug (#94892) in libXaw.

	Seems this bug makes xxgdb useless in stable

	alpha, arm and sparc missing

Regards,

	Joey

-- 
Those who don't understand Unix are condemned to reinvent it, poorly.

Attachment: pgpxicIPkHxH2.pgp
Description: PGP signature


Reply to: